package main

import (
	"fmt"
	"go-cal/pkg/config"
	"go-cal/pkg/storage"
	"go-cal/route/routes"
	"log"

	_ "github.com/joho/godotenv/autoload"
)

func main() {
	var err error

	if err = config.Load(); err != nil {
		log.Fatalf("Load config file fail, %v\n", err)
	}

	conf := config.Get()
	s := storage.New()
	if err = s.Load(conf.Storage.Path, true); err != nil {
		log.Fatalf("load storage data from file fail : %v", err)
	}
	if err = s.Write(); err != nil {
		log.Fatalf("write storage data to file fail : %v", err)
	}

	e := routes.NewEngine()
	routes.SetRoutes(e)

	e.Run(fmt.Sprintf(":%d", conf.Port))
	// fb := gofb.NewFramebuffer()
	// fb.Init()
	// defer fb.Release()
	// fb.Fill(0, 0, 0, 0)

	// dc := gg.NewContext(fb.Xres, fb.Yres)
	// dc.DrawCircle(10, 10, 10)
	// dc.SetRGB(125, 0, 0)
	// dc.Fill()

	// dc.DrawCircle(100, 100, 40)
	// dc.SetRGB(0, 120, 0)
	// dc.Fill()

	// fb.DrawImage(0, 0, dc.Image())

	// dc.DrawCircle(600, 10, 222)
	// dc.Fill()
	// dc.DrawString("Test string ", 10, 400)

	// fb.DrawImage(0, 0, dc.Image())

}
